post
https://api.staging.bancocdc.com.br/transactions/p2p/payment/v1/
Route to complete the payment of a P2P transacation using it's unique p2p code
Is necessary to register device on onboarding
Response parameters
| Parameters | Format | Description |
|---|---|---|
| return | Boolean | Response status (true/false) |
| message | String | Response message |
| data | Object | Object with transactions |
| code | String | Identification code |
| e2e | String | End-to-End code |
| transaction_type | String | Type Transaction |
| code_transactions_type | String | Code type transaction |
| transaction_status | String | Status transaction |
| code_transaction_status | String | Code status transaction |
| transaction_control | String | Control transaction |
| code_transaction_control | String | Code control transaction |
| created_at | String | Created at |
| amount | Number | Amount |
| origin_account | Object | Origin account data |
| name | String | Name origin |
| document | String | Document origin |
| bank | String | Bank origin |
| agency | String | Agency origin |
| account | String | Account origin |
| digit | String | Digit origin |
| receiver_account | Object | Receiver account data |
| name | String | Name receiver |
| document | String | Document receiver |
| bank | String | Bank receiver |
| agency | String | Agency receiver |
| account | String | Account receiver |
| digit | String | Digit receiver |
Transaction Status Codes
| Code | Description |
|---|---|
| 1 | In Process |
| 2 | Approved |
| 3 | Canceled |
| 4 | Expired |
| 5 | Under Review |
| 6 | Pending |
| 7 | Sent For Refund |
| 8 | Refund Made |
| 9 | Paid |
| 10 | Created |
| 11 | Clearing |
| 12 | Consulted |
| 13 | Authorized |